
From: Roman Zippel <zippel@linux-m68k.org>

After a file has been renamed, the cached search key must be updated.

Signed-off-by: Roman Zippel <zippel@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/hfs/dir.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/hfs/dir.c~hfs-update-key-after-rename fs/hfs/dir.c
--- 25/fs/hfs/dir.c~hfs-update-key-after-rename	Wed Oct 20 16:41:16 2004
+++ 25-akpm/fs/hfs/dir.c	Wed Oct 20 16:41:16 2004
@@ -306,6 +306,9 @@ int hfs_rename(struct inode *old_dir, st
 	res = hfs_cat_move(old_dentry->d_inode->i_ino,
 			   old_dir, &old_dentry->d_name,
 			   new_dir, &new_dentry->d_name);
+	if (!res)
+		hfs_cat_build_key((btree_key *)&HFS_I(old_dentry->d_inode)->cat_key,
+				  new_dir->i_ino, &new_dentry->d_name);
 	return res;
 }
 
_
